<?php

namespace FiloBlu\ExtAmastyGeoipRedirect\Block;

class CurrentCountry extends \Magento\Framework\View\Element\Template {

    public $_helper;
    protected $_coreRegistry = null;
    public $_storeManager;

    public function __construct(
    \Magento\Framework\View\Element\Template\Context $context,
            array $data = [],
            \FiloBlu\ExtAmastyGeoipRedirect\Helper\Data $helper,
            \Magento\Framework\Registry $registry
             
    ) {
        $this->_helper = $helper;
        $this->_coreRegistry = $registry;
        $this->_storeManager = $context->getStoreManager();
      
        parent::__construct($context, $data);
    }

    public function getCurrentCountry() {
        return $this->_helper->getCountryName($this->_helper->getCountryCookie());
    }
    
    public function getCurrentCountryCode() {
        return $this->_helper->getCountryCookie();
    }
    
    protected function _toHtml() {
        if ($this->_coreRegistry->registry('filoblu_geoip_popup_show')) {
            return "";
        }
        else {
            return parent::_toHtml();
        }
        
    }
}
